rte_port_frag.h(3)

NAME
rte_port_frag.h

SYNOPSIS

#include <stdint.h>
#include 'rte_port.h'

  Data Structures

struct rte_port_ring_reader_frag_params

  Variables

struct rte_port_in_ops rte_port_ring_reader_ipv4_frag_ops
struct rte_port_in_ops rte_port_ring_reader_ipv6_frag_ops

Detailed Description

RTE Port for IPv4 Fragmentation

This port is built on top of pre-initialized single consumer rte_ring. In order to minimize the amount of packets stored in the ring at any given time, the IP fragmentation functionality is executed on ring read operation, hence this port is implemented as an input port. A regular ring_writer port can be created to write to the same ring.

The packets written to the ring are either complete IP datagrams or jumbo frames (i.e. IP packets with length bigger than provided MTU value). The packets read from the ring are all non-jumbo frames. The complete IP datagrams written to the ring are not changed. The jumbo frames are fragmented into several IP packets with length less or equal to MTU.

Definition in file rte_port_frag.h.

Variable Documentation

  struct rte_port_in_ops rte_port_ring_reader_ipv4_frag_ops [extern]
ring_reader_ipv4_frag port operations

  struct rte_port_in_ops rte_port_ring_reader_ipv6_frag_ops [extern]
ring_reader_ipv6_frag port operations

Author

Generated automatically by Doxygen for DPDK from the source code.